package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.KitGroupPurchaseTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_subject_plan):
 */
public class MusicGroupSubjectPlan {

	/**  */
	private Integer id;
	
	/** 乐团编号 */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/** 科目编号 */
	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;

	/** 科目编号 */
	@ApiModelProperty(value = "科目名称",required = false)
	private String subName;
	
	/** 预计学生数 */
	@ApiModelProperty(value = "预计学生数",required = false)
	private Integer expectedStudentNum;
	
	/** 报名学生数 */
	@ApiModelProperty(value = "报名学生数",required = false)
	private Integer applyStudentNum;
	
	/** 费用 */
	@ApiModelProperty(value = "费用",required = false)
	private long fee;

	/** 乐器团购类型（免费、租赁、借用） */
	@ApiModelProperty(value = "乐器团购类型（免费、租赁、借用）",required = false)
	private KitGroupPurchaseTypeEnum kitGroupPurchaseType;
	
	/** 乐器团购类型对应的费用 */
	@ApiModelProperty(value = "乐器团购类型对应的费用",required = false)
	private long depositFee;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getSubName() {
		return subName;
	}

	public void setSubName(String subName) {
		this.subName = subName;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setExpectedStudentNum(Integer expectedStudentNum){
		this.expectedStudentNum = expectedStudentNum;
	}
	
	public Integer getExpectedStudentNum(){
		return this.expectedStudentNum;
	}
			
	public void setApplyStudentNum(Integer applyStudentNum){
		this.applyStudentNum = applyStudentNum;
	}
	
	public Integer getApplyStudentNum(){
		return this.applyStudentNum;
	}
			
	public void setFee(long fee){
		this.fee = fee;
	}
	
	public long getFee(){
		return this.fee;
	}

	public KitGroupPurchaseTypeEnum getKitGroupPurchaseType() {
		return kitGroupPurchaseType;
	}

	public void setKitGroupPurchaseType(KitGroupPurchaseTypeEnum kitGroupPurchaseType) {
		this.kitGroupPurchaseType = kitGroupPurchaseType;
	}

	public long getDepositFee() {
		return depositFee;
	}

	public void setDepositFee(long depositFee) {
		this.depositFee = depositFee;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
