package com.ym.mec.web.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_apply_refunds):
 */
public class StudentApplyRefunds {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/** 订单号 */
	private String orderNo;
	
	/** 状态(1,交易中;2,成功交易;-1,交易失败;) */
	private String status;
	
	/** 预计退费金额 */
	private long expectAmount;
	
	/** 实际退费金额 */
	private long actualAmount;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 原订单编号 */
	private Long origPaymentOrderId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setOrderNo(String orderNo){
		this.orderNo = orderNo;
	}
	
	public String getOrderNo(){
		return this.orderNo;
	}
			
	public void setStatus(String status){
		this.status = status;
	}
	
	public String getStatus(){
		return this.status;
	}
			
	public void setExpectAmount(long expectAmount){
		this.expectAmount = expectAmount;
	}
	
	public long getExpectAmount(){
		return this.expectAmount;
	}
			
	public void setActualAmount(long actualAmount){
		this.actualAmount = actualAmount;
	}
	
	public long getActualAmount(){
		return this.actualAmount;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setOrigPaymentOrderId(Long origPaymentOrderId){
		this.origPaymentOrderId = origPaymentOrderId;
	}
	
	public Long getOrigPaymentOrderId(){
		return this.origPaymentOrderId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
