package com.ym.mec.web.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_payment_order):
 */
public class StudentPaymentOrder {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/** 订单类型(报名、续费、小课购买、其他) */
	private String type;
	
	/** 预计金额 */
	private long expectAmount;
	
	/** 实际金额 */
	private long actualAmount;
	
	/** 交易流水号 */
	private String transNo;
	
	/** 交易状态 */
	private String status;
	
	/** 备注 */
	private String memo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 付款渠道 */
	private String paymentChannel;
	
	/** 业务渠道 */
	private String paymentBusinessChannel;
	
	/** 付款账户 */
	private String paymentAccountNo;
	
	/** 订单号 */
	private String orderNo;
	
	/**  */
	private String musicGroupId;
	
	/**  */
	private Integer classGroupId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setExpectAmount(long expectAmount){
		this.expectAmount = expectAmount;
	}
	
	public long getExpectAmount(){
		return this.expectAmount;
	}
			
	public void setActualAmount(long actualAmount){
		this.actualAmount = actualAmount;
	}
	
	public long getActualAmount(){
		return this.actualAmount;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}
			
	public void setStatus(String status){
		this.status = status;
	}
	
	public String getStatus(){
		return this.status;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setPaymentChannel(String paymentChannel){
		this.paymentChannel = paymentChannel;
	}
	
	public String getPaymentChannel(){
		return this.paymentChannel;
	}
			
	public void setPaymentBusinessChannel(String paymentBusinessChannel){
		this.paymentBusinessChannel = paymentBusinessChannel;
	}
	
	public String getPaymentBusinessChannel(){
		return this.paymentBusinessChannel;
	}
			
	public void setPaymentAccountNo(String paymentAccountNo){
		this.paymentAccountNo = paymentAccountNo;
	}
	
	public String getPaymentAccountNo(){
		return this.paymentAccountNo;
	}
			
	public void setOrderNo(String orderNo){
		this.orderNo = orderNo;
	}
	
	public String getOrderNo(){
		return this.orderNo;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
