package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.Teacher;
import org.apache.ibatis.annotations.Param;

public interface TeacherService extends BaseService<Integer, Teacher> {

    /**
     * 根据证件号查询老师信息
     * @param certificateNum 证件号
     * @return Teacher 老师信息
     */
    Teacher findByCertificateNum(String certificateNum);
}