package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.PlatformCashAccountDao;
import com.ym.mec.web.dal.entity.PlatformCashAccount;
import com.ym.mec.web.service.PlatformCashAccountService;

@Service
public class PlatformCashAccountServiceImpl extends BaseServiceImpl<String, PlatformCashAccount>  implements PlatformCashAccountService {
	
	@Autowired
	private PlatformCashAccountDao platformCashAccountDao;

	@Override
	public BaseDAO<String, PlatformCashAccount> getDAO() {
		return platformCashAccountDao;
	}
	
}