package com.ym.mec.auth.dal.dao;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.common.dal.BaseDAO;

public interface SysUserDao extends BaseDAO<Integer, SysUser> {

	/**
	 * 根据用户名查询对象
	 * @param username
	 * @return
	 */
	SysUser queryByUsername(String username);
	
	/**
	 * 根据手机号查询对象
	 * @param phone
	 * @return
	 */
	SysUser queryByPhone(String phone);
}