package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.MusicGroupSubjectPlan;
import com.ym.mec.web.dal.utilEntity.SubSetViewUtilEntity;

import java.util.List;

public interface MusicGroupSubjectPlanDao extends BaseDAO<Integer, MusicGroupSubjectPlan> {


    /**
     * 根据乐团编号，获取乐团下所有科目，以及预计招生人数
     * @param musicGroupId
     * @return
     */
    List<SubSetViewUtilEntity> findSubByGroupId(Integer musicGroupId);
}