package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.Teacher;
import org.apache.ibatis.annotations.Param;

public interface TeacherDao extends BaseDAO<Integer, Teacher> {

    /**
     * 根据证件号查询老师
     * @param certificateNum  证件号
     * @return Teacher 老师信息
     */
    Teacher findByCertificateNum(@Param("certificateNum") String certificateNum);
	
}