package com.ym.mec.web.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(platform_cash_account_detail):
 */
public class PlatformCashAccountDetail {

	/** 序号 */
	private Long id;
	
	/** 用户编号 */
	private String platformCashAccountId;
	
	/** 交易流水号 */
	private String transNo;
	
	/** 交易类型 (RECHARGE 充值,WITHDRAW 提现,PAY_FEE 缴费,REFUNDS 退费,FILL_ACCOUNT 人工补账) */
	private String type;
	
	/** 交易状态(1,交易中;2,成功交易;-1,交易失败;) */
	private Integer status;
	
	/** 交易金额 */
	private long amount;
	
	/** 账户可用余额 */
	private long balance;
	
	/** 描述 */
	private String description;
	
	/** 后台备注 */
	private String comment;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setPlatformCashAccountId(String platformCashAccountId){
		this.platformCashAccountId = platformCashAccountId;
	}
	
	public String getPlatformCashAccountId(){
		return this.platformCashAccountId;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setAmount(long amount){
		this.amount = amount;
	}
	
	public long getAmount(){
		return this.amount;
	}
			
	public void setBalance(long balance){
		this.balance = balance;
	}
	
	public long getBalance(){
		return this.balance;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setComment(String comment){
		this.comment = comment;
	}
	
	public String getComment(){
		return this.comment;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
