package com.ym.mec.web.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_cash_account):
 */
public class SysUserCashAccount {

	/** 账户号码(用户编号) */
	private Integer userId;
	
	/** 币种 */
	private String currency;
	
	/** 账户可用余额 */
	private long balance;
	
	/** 冻结金额 */
	private long frozenAmount;
	
	/** 保证金余额 */
	private long marginBalance;
	
	/** 账户状态(0,冻结,1,正常;-1,注销;) */
	private Integer status;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setCurrency(String currency){
		this.currency = currency;
	}
	
	public String getCurrency(){
		return this.currency;
	}
			
	public void setBalance(long balance){
		this.balance = balance;
	}
	
	public long getBalance(){
		return this.balance;
	}
			
	public void setFrozenAmount(long frozenAmount){
		this.frozenAmount = frozenAmount;
	}
	
	public long getFrozenAmount(){
		return this.frozenAmount;
	}
			
	public void setMarginBalance(long marginBalance){
		this.marginBalance = marginBalance;
	}
	
	public long getMarginBalance(){
		return this.marginBalance;
	}
			
	public void setStatus(Integer status){
		this.status = status;
	}
	
	public Integer getStatus(){
		return this.status;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
