package com.ym.mec.web.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.MusicGroup;
import com.ym.mec.web.dal.utilEntity.SubSetViewUtilEntity;
import com.ym.mec.web.dal.utilEntity.SubSettingUtilEntity;

import java.util.List;

public interface MusicGroupService extends BaseService<String, MusicGroup> {

    /**
     * 建团申请，提交声部设置
     * @param subSettingUtilEntitys
     */
    void subSetting(List<SubSettingUtilEntity> subSettingUtilEntitys);

    /**
     * 建团申请，根据乐团编号获取已有声部设置
     * @param musicGroupId
     * @return
     */
    List<SubSetViewUtilEntity> getSubSetting(Integer musicGroupId);
}