package com.ym.mec.web.service;

import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.web.dal.entity.Organization;
import com.ym.mec.web.dal.page.OrganizationQueryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrganizationService extends BaseService<Integer, Organization> {

    /**
     * 获取节点树状结构
     * @param queryInfo
     * @return
     */
    PageInfo<Organization> queryTreePage(OrganizationQueryInfo queryInfo);

    /**
     * 根据机构编码查机构
     * @param code
     * @return
     */
    Organization findByCode(@Param("code") int code);


}