package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.GoodsOrderPaymentDao;
import com.ym.mec.web.dal.entity.GoodsOrderPayment;
import com.ym.mec.web.service.GoodsOrderPaymentService;

@Service
public class GoodsOrderPaymentServiceImpl extends BaseServiceImpl<Long, GoodsOrderPayment>  implements GoodsOrderPaymentService {
	
	@Autowired
	private GoodsOrderPaymentDao goodsOrderPaymentDao;

	@Override
	public BaseDAO<Long, GoodsOrderPayment> getDAO() {
		return goodsOrderPaymentDao;
	}
	
}