package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherSalaryDao;
import com.ym.mec.web.dal.entity.TeacherSalary;
import com.ym.mec.web.service.TeacherSalaryService;

@Service
public class TeacherSalaryServiceImpl extends BaseServiceImpl<Long, TeacherSalary>  implements TeacherSalaryService {
	
	@Autowired
	private TeacherSalaryDao teacherSalaryDao;

	@Override
	public BaseDAO<Long, TeacherSalary> getDAO() {
		return teacherSalaryDao;
	}
	
}